# Preview semantic model dataset rows

`POST /api/v1/workspaces/{workspace}/semantic-models/{model}/datasets/{dataset}/preview`

Operation ID: `previewSemanticDataset`  
Effect: `write`  
Confirmation: `conditional`

## Authorization

- mode: `privilege`
- privilege: `PREVIEW_DATA`

## Parameters

| Name | In | Required | Schema | Description |
| --- | --- | --- | --- | --- |
| `workspace` | path | true | `{"type":"string"}` |  |
| `model` | path | true | `{"type":"string"}` |  |
| `dataset` | path | true | `{"type":"string"}` |  |
| `accept` | header | false | `{"type":"string"}` |  |

## Request body

- `application/json`: `SemanticPreviewRequest`

## Responses

| Status | Content | Description |
| --- | --- | --- |
| `200` | `application/json` (SemanticQueryResponse), `application/vnd.apache.arrow.stream` (string) | The request has succeeded. |
| `400` | `application/problem+json` (ProblemDetails) | The server could not understand the request due to invalid syntax. |
| `401` | `application/problem+json` (ProblemDetails) | Access is unauthorized. |
| `403` | `application/problem+json` (ProblemDetails) | Access is forbidden. |
| `404` | `application/problem+json` (ProblemDetails) | The server cannot find the requested resource. |
| `409` | `application/problem+json` (ProblemDetails) | The request conflicts with the current state of the server. |
| `412` | `application/problem+json` (ProblemDetails) | Precondition failed. |
| `413` | `application/problem+json` (ProblemDetails) | Client error |
| `415` | `application/problem+json` (ProblemDetails) | Client error |
| `422` | `application/problem+json` (ProblemDetails) | Client error |
| `429` | `application/problem+json` (ProblemDetails) | Client error |
| `500` | `application/problem+json` (ProblemDetails) | Server error |
| `502` | `application/problem+json` (ProblemDetails) | Server error |
| `503` | `application/problem+json` (ProblemDetails) | Service unavailable. |
